//Project: LCD 1602
//Function: You will see your LCD1602 display the flowing characters "ACOPTEX" and "hi, boys and girls" scrolled
//*********************************************************
#include <LiquidCrystal.h>                       //include the library code
//**********************************************************
char array1[]=" ACOPTEX                  ";      //the string to print on the LCD
char array2[]="hi boys and girls         ";      //the string to print on the LCD
int timedelay = 350;                             //the value of delay time
LiquidCrystal lcd(4, 6, 10, 11, 12, 13);         //initialize the library with the numbers of the interface pins
//*********************************************************
void setup()
{
  lcd.begin(16, 2);                             //setup the LCD's number of columns and rows 
}
void loop() 
{
    lcd.setCursor(15,0);                        //set the cursor to column 15, line 0
    for ( int positionCounter1 = 0; positionCounter1 < 26; positionCounter1++)
    {
      lcd.scrollDisplayLeft();                  //scroll the contents of the display one space to the left.
      lcd.print(array1[positionCounter1]);      //print a message to the LCD.
      delay(timedelay);                         //wait for 350 microseconds
    }
    lcd.clear();                                //clear the LCD screen and positions the cursor in the upper-left corner.
    lcd.setCursor(15,1);                        //set the cursor to column 15, line 1
    for (int positionCounter2 = 0; positionCounter2 < 26; positionCounter2++)
    {
      lcd.scrollDisplayLeft();                  //scroll the contents of the display one space to the left.
      lcd.print(array2[positionCounter2]);      //print a message to the LCD.
      delay(timedelay);                         //wait for 350 microseconds
    }
    lcd.clear();                                //clear the LCD screen and positions the cursor in the upper-left corner.
}
